import api from "@/api/http.js";
// var host = process.env.VUE_APP_Host; // 获取不同环境下不同的api路径

console.log(process.env);
// console.log(host);
export default {
    /**
     * @param {obj} Object
     * 获取用户积分商品
     * obj{ 
     *      page (integer, ): 页码 ,
     *      size (integer, ): 每页数量   
     *      openid(string):openid
     *      secretPhone(string):secretPhone
     * }
     */
    GetIntegralListByUser(obj) {
        return api.get('/weixin/products', { params: obj });
    },
    // GetIntegralListByUser1(obj) {
    //     return api.post('/weixin/products',obj);
    // },
    //获取积分收取游戏的昨天数值
    /*
    obj{
        secretPhone: this.secretPhone
    }
    */
   //获取昨天游戏积分
    GetIntegraYesterday(obj) {
        return api.get('/weixin/games/points/last', { params: obj });
    },
    // 获取积分收取游戏的昨天的产生值，列表
    GetIntegraYesterdayList(obj) {
        return api.get('/weixin/games/points/list', { params: obj });
    },
    // 说明积分
    GetmemberJF(obj) {
        return api.get('/weixin/point/desc',{ params: obj });
    },
    // obj = {
    //     page:this.pageIndex,    //页码 
    //     size:this.pageSize,    //页大小
    //     secretPhone:this.secretPhone, //电话号码
    // ;
    // 积分记录
    GetmemberJFLS(obj) {
        return api.get('/weixin/points', { params: obj });
    },
    // 获取积分成长值
    GetmemberCZZ(obj){
        return api.get('/weixin/growth',{ params: obj });
    },
    // 首页登陆
    Login(openid){
        return api.get('/weixin/index',{params:{openid:openid}});
    },
    //发送短信验证码
    sendCode(obj){
        return api.post('/weixin/register/sendCode',obj);
    },
    //绑定手机
    // verifyAndBind(){
    //     return api.get('/weixin/register/verifyAndBind',{params:{code:code,openid:openid,phone:phone}});
    // }

    //获取订单物流信息
    logistics(obj){
        return api.get('/weixin/orders/transport',{params:obj})
    },
    //获取用户的订单信息(根据电话号码查得，实物订单等)
    Obtainuserorders(obj){
        return api.get('/weixin/orders',{params:obj})
    },
    //获取订单详情
    Obtainorderdetails(obj){
        return api.get('/weixin/orders/info',{params:obj});
    },
    verifyAndBind(obj){
        return api.post('/weixin/register/verifyAndBind',obj);
    },
    //商品详情
    productInfo(obj){
        return api.get('/weixin/userOrdersInfo/productInfo',{params:obj});
    },  
    //获取用户信息
    wxuser(){
        return api.get('/weixin/user');
    },
    //解码
    Decode(str){
        return api.post("/weixin/decode",str)
    },
    //保存订单
    savedingdan(obj){
        return api.post("/weixin/userOrdersInfo/addOrder",obj)
    },
    //获取订单详情
    orderInfo(obj){
        return api.get("/weixin/userOrdersInfo/orderInfo",{params:obj})
    },
  //获取积分订单
  orderList(obj){
    return api.get("/weixin/userOrdersInfo/orderList",{params:obj})
  },
    //获取订单详情
   orderinfo(obj){
    return api.get("/weixin/userOrdersInfo/orderInfo",{params:obj})
   }
};
